std::basic_string_view::front(3)

NAME
std::basic_string_view::front - std::basic_string_view::front

Synopsis
   constexpr const_reference front() const; (since C++17)
   Returns reference to the first character in the view. The behavior is undefined if
   empty() == true.

Parameters
   (none)

Return value
   reference to the first character, equivalent to operator[](0).

Complexity
   Constant.

Example
// Run this code
 #include <string_view>
 #include <iostream>
 int main() {
     for (std::string_view str{"ABCDEF"}; !str.empty(); str.remove_prefix(1))
         std::cout << str.front() << ' ' << str << '\n';
 }

Output:
 A ABCDEF
 B BCDEF
 C CDEF
 D DEF
 E EF
 F F

See also
   back accesses the last character
   (C++17) (public member function)
   empty checks whether the view is empty
   (C++17) (public member function)
   front accesses the first character
   (C++11) (public member function of std::basic_string<CharT,Traits,Allocator>)